Bug 847274 - [abrt] cscope-15.8-2.fc17: __GI___open_catalog: Process /usr/bin/cscope was killed by signal 6 (SIGABRT)
[abrt] cscope-15.8-2.fc17: __GI___open_catalog: Process /usr/bin/cscope was k...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cscope (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Neil Horman
Fedora Extras Quality Assurance
abrt_hash:58321eb4e4c180bd94e41294d65...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-10 07:36 EDT by Dark Shenada
Modified: 2012-10-09 09:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-09 09:59:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (33.82 KB, text/plain)
2012-08-10 07:36 EDT, Dark Shenada
no flags Details
File: smolt_data (6.29 KB, text/plain)
2012-08-10 07:36 EDT, Dark Shenada
no flags Details

  None (edit)
Description Dark Shenada 2012-08-10 07:36:00 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/cscope -dl -f cscope.out
crash_function: __GI___open_catalog
executable:     /usr/bin/cscope
kernel:         3.5.0-2.fc17.x86_64
pid:            13436
pwd:            /home/shenada/remobo-build/remobo
remote_result:  NOTFOUND
time:           西元2012年08月10日 (週五) 15時43分37秒
uid:            1000
username:       shenada
var_log_messages: Aug 10 15:43:37 i7 abrt[13641]: Saved core dump of pid 13436 (/usr/bin/cscope) to /var/spool/abrt/ccpp-2012-08-10-15:43:37-13436 (712704 bytes)

backtrace:      Text file, 34630 bytes
smolt_data:     Binary file, 6439 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/shenada/4

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35925 raise libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 abort libc.so.6 -
:c17c81d9e967b31b33f1eaa3d90da172e065d4e8 0x14801 - [exe] -

dso_list:
:/usr/lib64/libtinfo.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1343140733
:/usr/lib64/libc-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1344411583
:/usr/lib64/libncurses.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1343140733
:/usr/bin/cscope cscope-15.8-2.fc17.x86_64 (Fedora Project) 1343144169
:/usr/lib64/ld-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1344411583
:/usr/lib64/libdl-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1344411583

environ:
:XDG_VTNR=3
:XDG_SESSION_ID=4
:LC_MONETARY=zh_TW.utf8
:HOSTNAME=i7.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/run/user/shenada/keyring-a5iq41/gpg:0:1
:SHELL=/bin/bash
:TERM=xterm
:HISTSIZE=1000
:GJS_DEBUG_OUTPUT=stderr
:LC_NUMERIC=zh_TW.utf8
:WINDOWID=44040197
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/shenada/keyring-a5iq41
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=IBus
:USER=shenada
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.htm=00;33:*.html=00;33:*.shtml=00;33:*.wpd=00;33:
:SSH_AUTH_SOCK=/run/user/shenada/keyring-a5iq41/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/4979,unix/unix:/tmp/.ICE-unix/4979
:DESKTOP_SESSION=gnome
:MAIL=/var/spool/mail/shenada
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/shenada/bin:/home/shenada/bin
:_=/usr/bin/vim
:QT_IM_MODULE=ibus
:PWD=/home/shenada/remobo-build/remobo
:XMODIFIERS=@im=ibus
:EDITOR=vim
:KDE_IS_PRELINKED=1
:LANG=zh_TW.utf8
:GNOME_KEYRING_PID=4975
:GDM_LANG=zh_TW.utf8
:LC_MEASUREMENT=zh_TW.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:SHLVL=2
:HOME=/home/shenada
:XDG_SEAT=seat0
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=shenada
:LESS=FRSXx4
:CVS_RSH=ssh
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-OuyR9O0dY4,guid=4ca23547ec61aaa650b3f53000000931
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:VIMRUNTIME=/usr/share/vim/vim73
:WINDOWPATH=3
:DISPLAY=:0
:XDG_RUNTIME_DIR=/run/user/shenada
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:VIM=/usr/share/vim
:LC_TIME=zh_TW.utf8
:XAUTHORITY=/var/run/gdm/auth-for-shenada-XWcHvR/database
:CCACHE_HASHDIR=
:COLORTERM=gnome-terminal

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 87828                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       87828                87828                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

maps:
:00400000-004a1000 r-xp 00000000 08:02 552303                             /usr/bin/cscope
:006a0000-006a1000 r--p 000a0000 08:02 552303                             /usr/bin/cscope
:006a1000-006a2000 rw-p 000a1000 08:02 552303                             /usr/bin/cscope
:006a2000-006bf000 rw-p 00000000 00:00 0 
:008a1000-008a3000 rw-p 000a1000 08:02 552303                             /usr/bin/cscope
:01c58000-01c9e000 rw-p 00000000 00:00 0                                  [heap]
:3062400000-3062420000 r-xp 00000000 08:02 526228                         /usr/lib64/ld-2.15.so
:306261f000-3062620000 r--p 0001f000 08:02 526228                         /usr/lib64/ld-2.15.so
:3062620000-3062621000 rw-p 00020000 08:02 526228                         /usr/lib64/ld-2.15.so
:3062621000-3062622000 rw-p 00000000 00:00 0 
:3062800000-30629ac000 r-xp 00000000 08:02 591009                         /usr/lib64/libc-2.15.so
:30629ac000-3062bac000 ---p 001ac000 08:02 591009                         /usr/lib64/libc-2.15.so
:3062bac000-3062bb0000 r--p 001ac000 08:02 591009                         /usr/lib64/libc-2.15.so
:3062bb0000-3062bb2000 rw-p 001b0000 08:02 591009                         /usr/lib64/libc-2.15.so
:3062bb2000-3062bb7000 rw-p 00000000 00:00 0 
:3063400000-3063403000 r-xp 00000000 08:02 568339                         /usr/lib64/libdl-2.15.so
:3063403000-3063602000 ---p 00003000 08:02 568339                         /usr/lib64/libdl-2.15.so
:3063602000-3063603000 r--p 00002000 08:02 568339                         /usr/lib64/libdl-2.15.so
:3063603000-3063604000 rw-p 00003000 08:02 568339                         /usr/lib64/libdl-2.15.so
:3075000000-3075025000 r-xp 00000000 08:02 594188                         /usr/lib64/libtinfo.so.5.9
:3075025000-3075224000 ---p 00025000 08:02 594188                         /usr/lib64/libtinfo.so.5.9
:3075224000-3075228000 r--p 00024000 08:02 594188                         /usr/lib64/libtinfo.so.5.9
:3075228000-3075229000 rw-p 00028000 08:02 594188                         /usr/lib64/libtinfo.so.5.9
:3078000000-3078023000 r-xp 00000000 08:02 594316                         /usr/lib64/libncurses.so.5.9
:3078023000-3078222000 ---p 00023000 08:02 594316                         /usr/lib64/libncurses.so.5.9
:3078222000-3078223000 r--p 00022000 08:02 594316                         /usr/lib64/libncurses.so.5.9
:3078223000-3078224000 rw-p 00023000 08:02 594316                         /usr/lib64/libncurses.so.5.9
:7f1f4d257000-7f1f4d25b000 rw-p 00000000 00:00 0 
:7f1f4d27b000-7f1f4d27e000 rw-p 00000000 00:00 0 
:7fffe46a1000-7fffe46c2000 rw-p 00000000 00:00 0                          [stack]
:7fffe474f000-7fffe4750000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]

open_fds:
:0:pipe:[1122463]
:pos:	0
:flags:	00
:1:pipe:[1122464]
:pos:	0
:flags:	01
:2:pipe:[1122464]
:pos:	0
:flags:	01
:3:/usr/share/bash-completion/completions
:pos:	0
:flags:	0100000
:4:/home/shenada/remobo-build/remobo/cscope.out
:pos:	0
:flags:	02100000
:5:pipe:[1122463]
:pos:	0
:flags:	00
Comment 1 Dark Shenada 2012-08-10 07:36:07 EDT
Created attachment 603482 [details]
File: backtrace
Comment 2 Dark Shenada 2012-08-10 07:36:09 EDT
Created attachment 603483 [details]
File: smolt_data
Comment 3 Neil Horman 2012-08-10 09:09:54 EDT
I'm not quite sure what to do with this, the abrt information indicates cscope was running here, but nothing in the backtrace suggests this is even a cscope process.  A quick googling about suggests this may actually be a colord problem.  Can you reproduce this, and, if so can you recreate it after disabling colord?
Comment 4 Dark Shenada 2012-08-10 10:38:57 EDT
(In reply to comment #3)
> I'm not quite sure what to do with this, the abrt information indicates
> cscope was running here, but nothing in the backtrace suggests this is even
> a cscope process.  A quick googling about suggests this may actually be a
> colord problem.  Can you reproduce this, and, if so can you recreate it
> after disabling colord?

Sure, I'll try the best I can do to reproduce this.

1. remobo is C++ with template.
2. cscope.out ~18740KB
Comment 5 Neil Horman 2012-08-24 14:49:12 EDT
any luck on the reproducer?
Comment 6 Neil Horman 2012-10-09 09:59:11 EDT
Closing, no response.  Please reopen if you experience the failure again

Note You need to log in before you can comment on or make changes to this bug.